Bug 240170 - Add virt-provisioning XMLRPC api methods
Summary: Add virt-provisioning XMLRPC api methods
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
(Show other bugs)
Version: 500
Hardware: All Linux
urgent
urgent
Target Milestone: ---
Assignee: Mike McCune
QA Contact: Brandon Perkins
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 232034
TreeView+ depends on / blocked
 
Reported: 2007-05-15 16:31 UTC by Mike McCune
Modified: 2007-06-26 02:09 UTC (History)
1 user (show)

Fixed In Version: sat500
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-26 02:09:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike McCune 2007-05-15 16:31:53 UTC
Adding 2 new methods to our SystemHandler:

public int provisionVirtualGuest(String sessionKey, Integer sid, String
guestName, String profileName) {

public int provisionVirtualGuest(String sessionKey, Integer sid, String
guestName,             String profileName, Integer memoryMb, Integer vcpus,
Integer storageMb) {

This will allow callers to use the API to create new virtual guests.

Comment 1 Mike McCune 2007-05-21 21:54:58 UTC
ON_QA

Comment 2 Mike McCune 2007-05-21 21:57:39 UTC
ON_QA for real.

Comment 3 Brandon Perkins 2007-05-22 16:41:05 UTC
Fails QA.  Here's what I got:

./test_system.provision_virtual_guest.pl --host
https://rlx-2-06.rhndev.redhat.com --user bdperkin --password redhat --target
1000010002 --name test08 --profile ks-rhel-i386-server-5-pv-guest-external
Fault returned from XML RPC Server, fault code -1: Kickstart --url requires a host

My *very* quick and dirty script is at:

rhn-svn: trunk/qa/api_test/scripts/test_system.provision_virtual_guest.pl

I attempted this both with internal and external distro profiles...and these
profiles have been used in the past to scuessfuly create PV guests.

Comment 4 Mike McCune 2007-05-24 14:17:07 UTC
fixed in svn. 

Comment 5 Mike McCune 2007-05-25 15:55:55 UTC
ON_QA

Comment 6 Brandon Perkins 2007-05-31 20:55:15 UTC
Verified.  General case, for both long and short versions, looks good, but needs
more robust testing.  Any other issues will be reported as separate bugs.

Comment 7 Brandon Perkins 2007-06-18 16:45:39 UTC
Release Pending.

Comment 8 Brandon Perkins 2007-06-26 02:09:57 UTC
Closed for Satellite 500 Release.


Note You need to log in before you can comment on or make changes to this bug.